#ifndef CAN2515_USER_H
#define CAN2515_USER_H

/** I N C L U D E S **********************************************************/
#include "GenericTypeDefs.h"

/** D E F I N I T I O N S ****************************************************/

/** S T R U C T U R E S ******************************************************/
typedef struct CAN_PERF
{
    unsigned int msgs_sent_can_1;
    unsigned int msgs_rcvd_can_1;
    unsigned int msgs_sent_can_2;
    unsigned int msgs_rcvd_can_2;
    unsigned int msgs_missed_can_1;
    unsigned int msgs_missed_can_2;

} CAN_PERF;



/** P R O T Y P E S **********************************************************/
unsigned char CAN2515_getmode(void);
void CAN2515_setmode(unsigned char);
unsigned char CAN2515_getregister(unsigned char);
void CANreceive(void);
void CANsend(unsigned char);
void CAN2515_readRX(unsigned char);

unsigned long getCANID(unsigned char);

void CAN2515_clearIntFlags(void);
void initialiseCANFlags(void);
unsigned char CAN2515_setcontroller(signed char);

unsigned char CAN2515_updatemap(void);


#endif //CAN2515_USER_H
