#ifndef CAN_MSGLIST_H
#define CAN_MSGLIST_H

/** I N C L U D E S **********************************************************/
#include "GenericTypeDefs.h"

// messages target IDs
//#define ECM_MSG				0x7E0
//#define OBD_STD				0x7DF
//#define OBD_STD_RESP                          0x7E8
//#define OBD_EXT				0x18DA33F1

#define BATT_PACK_FRONT				0x770
#define BATT_PACK_REAR				0x771
#define BATT_MON_DIAG                           0x775

// Messages to read
#define VOLT                                    0x720
#define AMP                                     0x730

/** P R O T Y P E S **********************************************************/
typedef struct CAN_MESSAGES
{
    // Structure of messages to receive
     WORD BATT_PACK_FRONT_MSG;
     WORD BATT_PACK_REAR_MSG;
     WORD BATT_MON_DIAG_MSG;
     WORD VOLT_MSG;
     WORD AMP_MSG;

} CAN_MESSAGES;





/** D E F I N I T I O N S ****************************************************/
void myCAN1diagmessage(void);
void myCAN2diagmessage(void);
void myCANdiagmessage(void);

void createResponseList(void);

#endif //CAN_MSGLIST_H
