#ifndef CAN2515UTILS_H
#define CAN2515UTILS_H

/** I N C L U D E S **********************************************************/
#include "GenericTypeDefs.h"


/** D E F I N I T I O N S ****************************************************/


/** S T R U C T U R E S ******************************************************/


/** P R O T O T Y P E S ******************************************************/
void decodeIdentifier(unsigned long, unsigned char);
unsigned long encodeIdentifier(unsigned char, unsigned long, unsigned char);
unsigned long encodeRespondToID(unsigned long, unsigned char);

void setMsgTarget(unsigned char, unsigned long, unsigned char);

void CAN_waitForDiagResponse(void);
void CAN_RecvDiagResponse(void);

unsigned char CAN2515_getmode(void);
void CAN2515_setmode(unsigned char);


#endif // CAN2515UTILS

