/* 
 * File:   processUSBpacketCAN.h
 * Author: rjones
 *
 * Created on 14 May 2014, 18:35
 */

#ifndef PROCESSUSBPACKETCAN_H
#define	PROCESSUSBPACKETCAN_H

/** D E F I N I T I O N S *****************************************************/

/* USB Protocol request messages */
#define DC_DEVICE_VERSION       0x41

/* MCP 2515*/
#define DC_READ_2515_ADDR       0x4A

/* USB Potocol response messages */
#define DC_SUCCESS              0xA1
#define DC_ERROR_CHIPSELECT     0xDB
#define DC_ERROR_RESPONSE       0xDC

char ProcessUSBdualCAN(void);

#endif	/* PROCESSUSBPACKETCAN_H */

